unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeEngine, TeeTools, TeePageNumTool, Series, ExtCtrls, TeeProcs, Chart,
  StdCtrls, DateUtils, TeeComma;

type
  TForm1 = class(TForm)
    Graph: TChart;
    TeeCommander1: TTeeCommander;
    Series1: TBarSeries;
    Series2: TBarSeries;
    Series3: TLineSeries;
    Series4: TBarSeries;
    ChartTool1: TPageNumTool;
    ScrollBar1: TScrollBar;
    rdoGraph: TRadioGroup;
    procedure FormCreate(Sender: TObject);
    procedure rdoGraphClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  GStartDate:TDateTime;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  GStartDate := Now;
  rdoGraphClick(rdoGraph);
end;

procedure TForm1.rdoGraphClick(Sender: TObject);
var
  DDay, DMonth, DYear:word;
  i, PointsPerPage, PageScale:integer;
  EDate:TDateTime;
  x:double;
begin
  ScrollBar1.Max:= 365;
  PageScale:=1;
  PointsPerPage:=12;

  Series1.Clear;
  Series2.Clear;
  Series3.Clear;
  Series4.Clear;

  Series1.XValues.DateTime := true;
  Series2.XValues.DateTime := true;
  Series3.XValues.DateTime := true;
  Series4.XValues.DateTime := true;

  //Set the 4 bar series to have the bar width calculated automatically
{  Series1.AutoBarSize:=true;
  Series2.AutoBarSize:=true;
  Series4.AutoBarSize:=true;}

  Graph.Axes.Bottom.ExactDateTime:=true;

  if rdoGraph.ItemIndex=0 then
  begin
    with Graph.Axes.Bottom do
    begin
      LabelsMultiLine:=true;
      DateTimeFormat := 'mmm.dd';//ShortDateFormat;
      Increment := DateTimeStep[dtOneDay];
      Automatic := true;
      PageScale := PointsPerPage-1;
      SetMinMax(GStartDate, GStartDate + PageScale);
    end;
    ScrollBar1.SmallChange:=1;
    ScrollBar1.LargeChange:=7;
  end
  else
  begin
    i := DayOfTheWeek(GStartDate);
    if i <> 1 then
    begin
      i := (i-1)*-1;
      GStartDate := IncDay(GStartDate, i);
    end;
    with Graph.Axes.Bottom do
    begin
      Automatic := false;
      Increment := DateTimeStep[dtOneWeek];
      DateTimeFormat := 'mmm.dd yy';
      PageScale:= PointsPerPage*7;
      SetMinMax(GStartDate, GStartDate +  PageScale);
    end;
    ScrollBar1.SmallChange:=7;
    ScrollBar1.LargeChange:=28;
  end;

  for i:=0 to 11 do
  begin
    if rdoGraph.ItemIndex=0 then
    begin
      x := IncDay(GStartDate, i);
    end
    else
    begin
      x := IncDay(GStartDate, (i* 7));
    end;
    series1.AddXY(x, 15-i, '', clTeeColor);
    series2.AddXY(x, 5+1, '', clTeeColor);
    series3.AddXY(x, 7+i, '', clTeeColor);
    series4.AddXY(x, 12-i, '', clTeeColor);
  end;
end;

end.
